## mad mad — Uses mad code to decode mp3 streams |

## Synopsis

    struct              GstMad;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstMad

## Properties

      "half"                     gboolean              : Read / Write
      "ignore-crc"               gboolean              : Read / Write

## Description

## Synopsis

### Element Information

plugin | mad
author | Wim Taymans <wim@fluendo.com>
class | Codec/Decoder/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/mpeg, mpegversion=(int)1, layer=(int)[ 1, 3 ], rate=(int){ 8000, 11025, 12000, 16000, 22050, 24000, 32000, 44100, 48000 }, channels=(int)[ 1, 2 ]

name | src
direction | source
presence | always
details | audio/x-raw-int, endianness=(int)1234, signed=(boolean)true, width=(int)32, depth=(int)32, rate=(int){ 8000, 11025, 12000, 16000, 22050, 24000, 32000, 44100, 48000 }, channels=(int)[ 1, 2 ]

## Details

### struct GstMad

    struct GstMad;

## Property Details

### The `"half"` property

      "half"                     gboolean              : Read / Write

Generate PCM at 1/2 sample rate.

Default value: FALSE

### The `"ignore-crc"` property

      "ignore-crc"               gboolean              : Read / Write

Ignore CRC errors.

Default value: TRUE